GNU Radio's FOSPHOR Package

Public Member Functions | List of all members
gr::fosphor::fifo Class Reference

`#include <fifo.h>`

## Public Member Functions
| fifo (int length)
| ~fifo ()
int | free ()
int | used ()
int | write_max_size ()
gr_complex * | write_prepare (int size, bool wait=true)
void | write_commit (int size)
int | read_max_size ()
gr_complex * | read_peek (int size, bool wait=true)
void | read_discard (int size)

## Constructor & Destructor Documentation

## ◆ fifo()

gr::fosphor::fifo::fifo | ( | int | length | ) |

## ◆ ~fifo()

gr::fosphor::fifo::~fifo | ( |  | ) |

## Member Function Documentation

## ◆ free()

int gr::fosphor::fifo::free | ( |  | ) |

## ◆ read_discard()

void gr::fosphor::fifo::read_discard | ( | int | size | ) |

## ◆ read_max_size()

int gr::fosphor::fifo::read_max_size | ( |  | ) |

## ◆ read_peek()

gr_complex * gr::fosphor::fifo::read_peek | ( | int | size,
|  | bool | wait = `true`
| ) |  |

## ◆ used()

int gr::fosphor::fifo::used | ( |  | ) |

## ◆ write_commit()

void gr::fosphor::fifo::write_commit | ( | int | size | ) |

## ◆ write_max_size()

int gr::fosphor::fifo::write_max_size | ( |  | ) |

## ◆ write_prepare()

gr_complex * gr::fosphor::fifo::write_prepare | ( | int | size,
|  | bool | wait = `true`
| ) |  |

The documentation for this class was generated from the following file:

- fifo.h